# TCPClientConnecter Class Reference

Non blocking connection create to actually connect to servers. More...

Inheritance diagram for TCPClientConnecter:

## Public Member Functions
| TCPClientConnecter (const NetworkAddress &address)
virtual void | OnFailure ()
| Callback for when the connection attempt failed.
virtual void | OnConnect (SOCKET s)
| Callback when the connection succeeded.

## Detailed Description

Non blocking connection create to actually connect to servers.

Definition at line 807 of file network.cpp.

## Member Function Documentation

virtual void TCPClientConnecter::OnConnect | ( | SOCKET | s | ) | `[inline, virtual]`

Callback when the connection succeeded.

Parameters:

  | s | the socket that we opened

Reimplemented from TCPConnecter.

Definition at line 816 of file network.cpp.

References IConsoleCmdExec().

The documentation for this class was generated from the following file:

- src/network/network.cpp